package vehicle.part.engine;

import vehicle.part.gearbox.Gear;

public enum EngineModel {

    TDI_M_D(EngineType.DIESEL, "MANUAL", Gear.FIFTH, 200d, 2000d, 300d),
    TDI_A_D(EngineType.DIESEL, "AUTOMATIC", Gear.FIFTH, 200d, 2500d, 300d),
    TDI_A_P(EngineType.PETROL, "AUTOMATIC", Gear.FIFTH, 200d, 2300d, 300d);

    private final EngineType engineType;
    private final String gearBoxType;
    private final Gear maxGear;
    private final Double cylindre;
    private final Double price;
    private final Double weight;

    EngineModel(EngineType engineType, String gearBoxType, Gear maxGear, Double cylindre, Double price, Double weight){
        this.engineType = engineType;
        this.gearBoxType = gearBoxType;
        this.maxGear = maxGear;
        this.cylindre = cylindre;
        this.price = price;
        this.weight = weight;
    }

    public EngineType getEngineType() {
        return engineType;
    }

    public String getGearBoxType() {
        return gearBoxType;
    }

    public Gear getMaxGear() {
        return maxGear;
    }

    public Double getCylindre() {
        return cylindre;
    }

    public Double getPrice() {
        return price;
    }

    public Double getWeight() {
        return weight;
    }
}
