package vehicle.part.engine;

public enum EngineType {

    DIESEL("Diesel"),
    PETROL("Petrol"),
    HYBRID("Hybrid"),
    ELECTRIC("Electric");

    private final String value;

    EngineType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public static EngineType getEnum(String value) {
        for (EngineType type : EngineType.values()) {
            if (type.getValue().equals(value)) {
                return type;
            }
        }
        return null;
    }

    public static boolean contains(String value) {
        for (EngineType type : EngineType.values()) {
            if (type.getValue().equals(value)) {
                return true;
            }
        }
        return false;
    }
}
