package vehicle.part.gearbox;

public enum Gear {

    REVERSE(-1),
    NEUTRAL(0),
    FIRST(1),
    SECOND(2),
    THRID(3),
    FORTH(4),
    FIFTH(5),
    SIXTH(6),
    AUTO(10);

    private final Integer value;

    Gear(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static Gear getEnum(Integer value) {
        for (Gear type : Gear.values()) {
            if (type.getValue().equals(value)) {
                return type;
            }
        }
        return null;
    }

    public static boolean contains(Integer value) {
        for (Gear type : Gear.values()) {
            if (type.getValue().equals(value)) {
                return true;
            }
        }
        return false;
    }
}
