package vehicle.part.gearbox;

import java.util.Arrays;

public class GearBoxAutomatic implements GearBox {

    private Gear currentGear;
    private Gear maxGear;

    public GearBoxAutomatic(Gear maxGear) {
        this.maxGear = maxGear;
        this.currentGear = Gear.NEUTRAL;
    }

    @Override
    public void gearUp() {
        if (!currentGear.equals(maxGear)) {
            currentGear = Gear.getEnum(currentGear.getValue() + 1);
        }
    }

    @Override
    public void gearDown() {
        if (!currentGear.equals(Gear.REVERSE)) {
            currentGear = Gear.getEnum(currentGear.getValue() - 1);
        }
    }

    public void automatic(){

    }

    @Override
    public void neutral() {
        if(Arrays.asList(Gear.REVERSE, Gear.AUTO).contains(currentGear)){
            currentGear = Gear.NEUTRAL;
        }
    }

    @Override
    public void reverse() {
        if(Arrays.asList(Gear.NEUTRAL, Gear.AUTO).contains(currentGear)){
            currentGear = Gear.REVERSE;
        }
    }
}
