package vehicle.part.pedal;

import vehicle.part.brake.Brake;

import java.util.List;

public class PedalBrake implements Pedal{

    private List<Brake> brakes;
    private Double state;

    public PedalBrake(List<Brake> brakes) {
        this.brakes = brakes;
    }

    @Override
    public void setState(Double pressure) {
        state = pressure;
    }

    @Override
    public void release() {
        state = 0d;
    }

    @Override
    public void update() {
        for(Brake brake : brakes){
            brake.setState(state);
        }
    }
}
