package vehicle.part.pedal;

import vehicle.part.gearbox.GearBox;
import vehicle.part.gearbox.GearBoxManual;

public class PedalClutch implements Pedal{

    private GearBoxManual gearBox;
    private Double state;

    public PedalClutch(GearBoxManual gearBox) {
        this.gearBox = gearBox;
        this.state = 0d;
    }

    @Override
    public void setState(Double pressure) {
        state = pressure;
    }

    @Override
    public void release() {
        state = 0d;
    }

    @Override
    public void update() {
        if(state > 40d)
            gearBox.engage();
        else
            gearBox.disengage();
    }

}
